List giros
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"counts": {},
"summary": {},
"meta": {
"total_count": 123,
"page": 123
},
"payload": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Treasury Giros
List giros
What each recipient receives, on which date and through which channel: open giros plus the ones closed in the month shown.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
giros
List giros
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/giros"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"counts": {},
"summary": {},
"meta": {
"total_count": 123,
"page": 123
},
"payload": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Filter by recipient role
Month to show closed giros, as YYYY-MM. Defaults to the current month.
Page number (25 per page)
Was this page helpful?